import request from '@/utils/request'
import Qs from 'qs';

//
export function pageList(params) {
    return request({
        url: '/mobile/guestInfoRecordApi/pageList',
        data: Qs.stringify(params),
        method: 'post',
    })
}

//获取设备列表
export function getDeviceList() {
    return request({
        url: '/mobile/guestInfoRecordApi/deviceList',
        data: Qs.stringify({}),
        method: 'post',
    })
}

//访客离开操作
export function out(params) {
    return request.post( '/mobile/guestInfoRecordApi/out', params,{
        headers: {
            "Content-Type": "application/json"
        }
    });
}


//访客记录详情
export function getDetail(id) {
    return request({
        url: '/mobile/guestInfoRecordApi/get/'+id,
        //data: Qs.stringify({id:id}),
        method: 'get',
    })
}
//添加访客记录
export function add(params) {
    return request.post('/mobile/guestInfoRecordApi/add', params,{
        headers: {
            "Content-Type": "application/json"
        }
    });
}